Bij de verwerking van RDP-verzoeken zou rdesktop de lengte van packet headers niet juist valideren (CVE-2008-1801). Ook zou de verwerking van RDP-verzoeken tot buffer-overflows kunnen leiden (CVE-1802). In beide gevallen bestaat het gevaar dat de gebruiker naar een kwaadaardige server wordt geleid waarna de aanvaller, met een Denial of Service-aanval of het uitvoeren van code tot de mogelijke gevolgen.

Ubuntu heeft updates beschikbaar gesteld voor Ubuntu 6.06 LTS, 7.04, 7.10 en Ubuntu 8.04 LTS en de corresponderende versies van Kubuntu, Edubuntu en Xubuntu. Bron: Techworld